This endpoint is still on our legacy API.
Delete a dispatch route and its associated jobs.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Write Routes under the Driver Workflow category when creating or editing an API token. Learn More.
curl --request DELETE \
--url https://api.samsara.com/v1/fleet/dispatch/routes/{route_id_or_external_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apply_to_future_routes": true
}
'This response has no body data.Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the route. This can either be the Samsara-specified ID, or an external ID. External IDs are customer specified key-value pairs created in the POST or PATCH requests of this resource. To specify an external ID as part of a path parameter, use the following format: key:value. For example, payrollId:ABFS18600
This is only for a recurring route. If set to true, delete all following runs of the route. If set to false, only delete the current route.
true
curl --request DELETE \
--url https://api.samsara.com/v1/fleet/dispatch/routes/{route_id_or_external_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apply_to_future_routes": true
}
'This response has no body data.